[BSP]
; BSP.INI Comments by Yahn Bernier.  Written while watching the Braves roll over the Cardinals
;  in game seven of the NLCS.  Ouch.
;
; Uncomment the next line to display (in the status bar) info of no use to anyone
;  except the programmer (counts number of brushes created and destroyed and same
;  for entities and then displays total in maps.  Helps to find "lost" brushes
;  which can cause memory leaks;
;
;debugmode=1
;
; Set to 0 to disable ability to "drag" vertices on selected brush.
; Set to 1 to use the vertex_drag_sensitivity to determine how brush is manipulated by vertex
;  dragging
; Set to 2 to use an alternate method (vertex_drag_sensitivity ignored).
; So, what's the technical difference?  Fine.  As you know, brush faces are defined by planes
;  and planes are defined by sets of three points.  As you also know, a vertex occurs at the
;  intersection of three planes.  The "plane" definition points don't necessarily correspond
;  to vertices.  How does vertex manipulation work then?  First, I check the "on-screen"
;  vertices for the "current" (Yellow) face and see if the user clicked on one of these
;  vertices.  If so, then I look at all of the brush faces and figure which ones also "include"
;  this vertex.
;
; Because planes are defined by three points, to manipulate a "vertex" the user's selected
;  vertex must become a definition point for each face that "vertex" is on.  But you can't just
;  swap any old plane definition point with the selected vertex.  The vertices must be maintained
;  in a certain order.
;
; Method (drag_vertex = 2) replaces the plane points with the "previous", "selected" and "next"
;  vertices on the planes that are involved.  Thus, for triangular faces, this works perfectly.
;  But for faces with more points, manipulating the selected vertex causes the planes to
;  pivot on the line joining the previous and next vertices.  Try it and you will see what I
;  mean.  This is why I do not believe that vertex manipulation is useful.  (at least from a
;  leak minimization point of view).
;
; Method 1 is related.  However, rather than picking the previous and next vertices on the
;  screen representation, the following is done.  A vector from the selected vertex to
;  the next/previous vertex is calculated.  The vector is normalized.  Then the vector is
;  scaled by the vertex_drag_sensitivity.  Then the scaled vector is added to the
;  selected vertex.  Now, each plane is defined by the so-calculated previous vertex (v_d_s
;  units from the selected one), the selected vertex, and the next vertex (again v_d_s units
;  from the selected one).  Thus, if the v_d_s is very small, then moving the vertex will make
;  the involved planes move like crazy.  Higher values of v_d_s will make the involved planes
;  "change" less severely.
;
drag_vertex=2
;
; Determines how much other "planes" get manipulated by dragging on a vertex.  Lower
;  numbers are more "sensitive"
;
vertex_drag_sensitivity=32
;
; If set to 0, then only "vertical" planes can be dragged by clicking outside the face
;  with the left mouse button.  Higher numbers offer more of a "fudge factor"
;
face_drag_percent=10
;
; The next setting determines how "close" to a vertex one must click in order to start
;  dragging it...
;
select_delta=4
;
; The next setting determines whether vertex drags are "snapped" to the grid. 1 = YES, 0 = NO
;
vertex_use_grid=1
;
; Default name for new maps
;
newmap=default.map
;
; Backup is not used yet
;
backup=backup.map
;
; Directory where ents.qc and quake.pal files reside
;  should end in a backslash "\"
;
entity_qc_directory=c:\bsp\
;
; Directory where texture wads reside
;
wad_directory=c:\bsp\
;
; Directory to save and load .map files from
;
map_directory=c:\bsp\
;
; Directory for .bat batch files used to spawn qbsp.exe, vis.exe and light.exe
; NOTE:  the working directory for .map files is the map_directory...
;
bat_directory=c:\bsp\
;
; File name (no path!) of default texture wad.
;  The file should exist in the "wad_directory"
;
default_wad=wizard.wad
;
; Bitmap to use when a wad has a "bad" texture
;
badtex=c:\bsp\badtex.bmp
;
; Number of steps per 360 degree turn when navigating the map with the keyboard
;
steps_per_turn=16
;
; Set to 0 to have "groups" initially turned off
;
groupmode=1
;
; Default grid size
;
gridsize=8
;
; Default step for moving the camera with the keyboard, etc.
;
stepsize=64
;
; Set to 1 to show the grid by default
;
show_grid=0
;
; Set to 0 to not show the grid coordinate legends
;
show_coordinates=1
;
; Set to 1 to automatically show entity names
;
show_names=0
;
; Set to 1 to automatically display hit brush #'s in the 3D view.
;
show_hits=0
;
; Set to 1 to show red square in 2D views.  The square indicates the current
;  eye position.
;
showeye=1
;
; Clip all brushes farther than xxx from the current camera position.
;
far_clip_distance=-8192
;
; Default colors
;
fgcolor=255 255 255
bgcolor=0 0 0
;
; Default grid colors
;
majorgrid=0 127 255
minorgrid=127 127 127
;
; Set to non-zero values to "brighten" textures.
;
gammashift=0
;
; For users with 16bpp (High color) and 24bpp (True Color) video setups, this
;  setting determines the order of pixel data:  Possible values include
;  rgb, bgr, rbg, brg, gbr, and grb.
;
rgborder=bgr
;
; For users with 16bpp (High color) video setups, this setting determines the "weight"
;  to attach to each of the red, green and blue components of the data.  The order is set
;  by the rgborder setting.  Most common values are 555 and 565, but 655 and 556 are also
;  valid.
;
rgb16order=555
;
; Internal size of the 3D Texture mapped and flat shaded preview data.  Setting to lower
;  values will increase rendering speed, but lower quality.  The converse is also true.
;
render_width=320
render_height=200
;
; ***************************************************************************************
;
; NEW FOR v. 0.52
;
; The next settings determine the size of the texture thumbnails in the texture browser
;
texture_width=80
texture_height=80
;
; The next setting is the default font for the BSP (not totally implemented yet)
;
bsp_font=Arial
;
; The next setting is the default font size for BSP.
;
bsp_font_size=14
;
; If you are still reading this, you have a lot of patience...
;
